## imageshack-uploader 2.2+hg20100408.d802dea89428

=== debian/changelog ===
imageshack-uploader (2.2+hg20100408.d802dea89428-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Restore previous NMU for GCC 4.7 compatiblity that was inadvertently
    reverted in the last maintainer upload (Closes: #672084) (again)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 12 Jul 2012 01:04:20 -0400

imageshack-uploader (2.2+hg20100408.d802dea89428-5) unstable; urgency=low

  * Re-enable uploading with new Qt versions. (LP: #995300)

 -- Luke Faraone <lfaraone@debian.org>  Sat, 02 Jun 2012 22:41:33 -0700

imageshack-uploader (2.2+hg20100408.d802dea89428-4.1) unstable; urgency=low

  * Non maintainer upload.
  * Fix build ailure with GCC 4.7. Closes: #672084.

 -- Matthias Klose <doko@debian.org>  Tue, 22 May 2012 23:11:28 +0000

imageshack-uploader (2.2+hg20100408.d802dea89428-4) unstable; urgency=low

  * Correct error in debian/rules which prevented the installation of
    translations. (Closes: #647217, #647218)
  * Update to policy version 3.9.2. No changes needed. 

 -- Luke Faraone <lfaraone@debian.org>  Mon, 07 Nov 2011 01:43:53 -0500

imageshack-uploader (2.2+hg20100408.d802dea89428-3) unstable; urgency=low

  * Fix FTBFS in experimental from use of deprecated libav functions. Thanks
    again to Fabrice Coutadeur! (Closes: #633904, LP: #831063
  * Add Replaces field for versions of imageshack-uploader produced by
    upstream. This prevents breakage on upgrade if imageshack-uploader
    is replaced by the distribution-provided version, as seen in
    LP: #820882.)

 -- Luke Faraone <lfaraone@debian.org>  Mon, 22 Aug 2011 10:22:07 -0400

imageshack-uploader (2.2+hg20100408.d802dea89428-2) unstable; urgency=low

  * Fix FTBFS from incomplete syslog support. Thanks Fabrice Coutadeur!
    (LP: #617026. Closes: #613964)
  * Update maintainer field.
  * Document changed VCS locations for Debian source.
  * Update to policy version 3.9.1. No changes needed.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Luke Faraone <lfaraone@debian.org>  Fri, 18 Feb 2011 19:08:37 -0800

imageshack-uploader (2.2+hg20100408.d802dea89428-1) unstable; urgency=low

  * New upstream snapshot
    - Added Lithuanian localization
    - Updated spanish localization file. Issue #166
    - Added Korean localization file. Issue #183
    - Added detaining of the media loader thread until information about authent
      ication will be available. Issue 182
    - Updated Norwegian localization file. Issue #172
    - Updated localization files
    - Corrected a way used to detain loader thred
    - Changed a way that is used to calculate approximate time interval for uplo
      ading selected media files. Issue 188
    - Cleaned up active upload requests if they are paused/cancelled. Issue #198
    - Updated actual requests state according to stop operation. Issue #197
    - Checked a correctness of the data that is going to be send to twitter
    - Updated localization files
    - Added 'Proxy-Authorization' header to HTTP requests if proxy server with a
      uthorization is used. Issue # 169

 -- Luke Faraone <luke@faraone.cc>  Tue, 20 Apr 2010 12:14:00 -0400

imageshack-uploader (2.1+hg20100303.7c01926daa-1) unstable; urgency=low

  * Initial release (Closes: #574345)

 -- Luke Faraone <luke@faraone.cc>  Wed, 17 Mar 2010 10:29:59 -0400
