=== debian/control ===
Source: imageshack-uploader
Section: utils
Priority: optional
Maintainer: Luke Faraone <lfaraone@debian.org>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), mercurial, ffmpeg (>=0.5),
               libqtcore4 (>=4.5), libqtgui4, libqt4-xml, qt4-qmake, libqt4-dev,
               libavutil-dev, libswscale-dev, libavformat-dev,  libavcodec-dev,
               pkg-config, pandoc
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/imageshack-uploader/
Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/imageshack-uploader/
Homepage: http://code.google.com/p/imageshack-uploader/

Package: imageshack-uploader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, imageshack-uploader-common
Description: a image and video upload utility for the ImageShack hosting service
 The ImageShack Bulk Uploader is a simple standalone application for uploading 
 one or more image and video files to ImageShack. Users can upload to their 
 account or anonymously.
 .
 To fully make use of this application, you may wish to create an account at 
 <http://imageshack.us>.

Package: imageshack-uploader-common
Architecture: all 
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: imageshack-uploader (<=2.2.0)
Description: a image and video upload utility - common files
 The ImageShack Bulk Uploader is a simple standalone application for uploading
 one or more image and video files to ImageShack. Users can upload to their
 account or anonymously.
 .
 This package contains common files for the imageshack-uploader package.
