=== debian/rules ===
#!/usr/bin/make -f

#DEB_SRCDIR = $(CURDIR)/rainbow
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk
# Add here any variable or target overrides you need.



# generate manpages.

.PHONY: get-orig-source

build/imageshack-uploader::
	 pandoc -s -w man ./debian/imageshack-uploader.1.md -o imageshack-uploader.1

install/imageshack-uploader-common::
	mkdir -p debian/imageshack-uploader-common/usr/share/imageshack-uploader/translations/
	cp translations/* debian/imageshack-uploader-common/usr/share/imageshack-uploader/translations/

clean::
	rm -rf imageshack-uploader.1


# Rules for fetching the upstream tarball
CURRENT_TREEISH =$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*hg.{9}([^-]+).*,\1,p')
CURVER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

SOURCE_DIR=imageshack-uploader-$(CURVER)
TARBALL=imageshack-uploader_$(CURVER).orig.tar.gz
QMAKE=IMAGESHACK_DEVELOPER_KEY=139ACLMVba0ed423487bdf82ee74c68020d4b198 qmake

$(SOURCE_DIR):
	hg clone https://imageshack-uploader.googlecode.com/hg  $(SOURCE_DIR)
	if [ x$(CURRENT_TREEISH) = x ]; then \
	 cd $(SOURCE_DIR) && hg checkout v$(CURVER); \
	else \
	 cd $(SOURCE_DIR) && hg checkout $(CURRENT_TREEISH); \
	fi


$(TARBALL): $(SOURCE_DIR)
	tar czvf $(TARBALL) $(SOURCE_DIR)

get-orig-source: $(TARBALL)
	rm -rf $(SOURCE_DIR) $(SOURCE_DIR).temp
