=== debian/watch ===
# Upstream does not make release tarballs. NUVs are taken from git.
# Vcs-Hg: https://imageshack-uploader.googlecode.com/hg/
